- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GAuth::SaslServerPamImp Class Reference

A private implementation class used by GAuth::SaslServerPam. More...

## Public Member Functions
| SaslServerPamImp (bool valid)
virtual | ~SaslServerPamImp ()
bool | active () const
std::string | apply (const std::string &pwd, bool &done)
std::string | id () const
bool | authenticated () const

## Detailed Description

A private implementation class used by GAuth::SaslServerPam.

Definition at line 72 of file gsaslserverpam.cpp.

## Constructor & Destructor Documentation

GAuth::SaslServerPamImp::SaslServerPamImp | ( | bool | valid | ) |
| explicit

Definition at line 141 of file gsaslserverpam.cpp.

GAuth::SaslServerPamImp::~SaslServerPamImp | ( |  | ) |
| virtual

Definition at line 147 of file gsaslserverpam.cpp.

## Member Function Documentation

bool GAuth::SaslServerPamImp::active | ( |  | ) | const

Definition at line 152 of file gsaslserverpam.cpp.

std::string GAuth::SaslServerPamImp::apply | ( | const std::string & | pwd,
|  | bool & | done
| ) |  |

Definition at line 162 of file gsaslserverpam.cpp.

References G_WARNING, G::Str::head(), G::Str::tail(), and G::Exception::what().

bool GAuth::SaslServerPamImp::authenticated | ( |  | ) | const

std::string GAuth::SaslServerPamImp::id | ( |  | ) | const

Definition at line 157 of file gsaslserverpam.cpp.

The documentation for this class was generated from the following file:

- gsaslserverpam.cpp